漏洞信息详情

PostgreSQL "SET SESSION AUTHORIZATION"命令拒绝服务漏洞

  • CNNVD编号:CNNVD-200602-195
  • 危害等级: 低危
  • CVE编号: CVE-2006-0678
  • 漏洞类型: 资料不足
  • 发布时间: 2006-02-14
  • 威胁类型: 本地
  • 更新时间: 2006-02-28
  • 厂        商: postgresql
  • 漏洞来源: Akio Ishida

漏洞简介

PostgreSQL是PostgreSQL开发组所研发的一套自由的对象关系型数据库管理系统。该系统支持大部分SQL标准并且提供了许多其他特性,例如外键、触发器、视图等。

PostgreSQL处理用户提交的特定命令时存在问题,远程攻击者可能利用此漏洞导致服务器产生拒绝服务。如果启用了Assert的话,远程攻击者就可以向PostgreSQL发送有特制参数的SET SESSION AUTHORIZATIONE命令导致服务器拒绝服务。但是,这个漏洞无法导致权限提升,因为用户必须拥有超级用户权限才能使用SET SESSION AUTHORIZATION命令。

漏洞公告

目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

PostgreSQL postgresql-7.3.14.tar.bz2

http://wwwmaster.postgresql.org/download/mirrors-ftp?file=source%2Fv7.3.14%2Fpostgresql-7.3.14.tar.bz2

PostgreSQL postgresql-7.4.12.tar.bz2

http://wwwmaster.postgresql.org/download/mirrors-ftp?file=source%2Fv7.4.12%2Fpostgresql-7.4.12.tar.bz2

PostgreSQL postgresql-8.0.7.tar.bz2

http://wwwmaster.postgresql.org/download/mirrors-ftp?file=source%2Fv8.0.7%2Fpostgresql-8.0.7.tar.bz2

PostgreSQL postgresql-8.1.3.tar.bz2

http://wwwmaster.postgresql.org/download/mirrors-ftp?file=source%2Fv8.1.3%2Fpostgresql-8.1.3.tar.bz2

参考网址

来源: VUPEN

名称: ADV-2006-0605

链接:http://www.frsirt.com/english/advisories/2006/0605

来源: SECUNIA

名称: 18890

链接:http://secunia.com/advisories/18890

来源: XF

名称: postgresql-setsessionauth-dos(24719)

链接:http://xforce.iss.net/xforce/xfdb/24719

来源: UBUNTU

名称: USN-258-1

链接:http://www.ubuntu.com/usn/usn-258-1

来源: TRUSTIX

名称: 2006-0008

链接:http://www.trustix.org/errata/2006/0008

来源: BID

名称: 16650

链接:http://www.securityfocus.com/bid/16650

来源: SECTRACK

名称: 1015636

链接:http://www.securityfocus.com/archive/1/archive/1/425037/100/0/threaded

来源: www.postgresql.org

链接:http://www.postgresql.org/docs/8.1/static/release.html#RELEASE-8-1-3

来源: OPENPKG

名称: OpenPKG-SA-2006.004

链接:http://www.openpkg.org/security/OpenPKG-SA-2006.004-postgresql.html

来源: SREASON

名称: 498

链接:http://securityreason.com/securityalert/498

来源: SECUNIA

名称: 19035

链接:http://secunia.com/advisories/19035

来源: SECUNIA

名称: 19015

链接:http://secunia.com/advisories/19015

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多